﻿image bg tavern = "images/tavern16_9.jpg"

init python:
    crazy_items = []
    crazy_items.append(Item("images2/article.png","Newspaper Article",473,254,146,121))
    crazy_items.append(Item("images2/big_cat.png","Large Cat",272,499,275,154))
    crazy_items.append(Item("images2/camera.png","Old Fashioned Camera",233,494,68,117))
    crazy_items.append(Item("images2/coin.png","Old Coin",798,108,83,92))
    crazy_items.append(Item("images2/dice.png","Dice",670,594,54,54))
    crazy_items.append(Item("images2/glider.png","Glider",492,402,203,98))
    crazy_items.append(Item("images2/hat.png","Hat",222,209,221,146))
    crazy_items.append(Item("images2/leaf.png","Leaf",910,61,140,95))
    crazy_items.append(Item("images2/letter_opener.png","Letter Opener",679,265,23,149))
    crazy_items.append(Item("images2/little_cat.png","Little Cat",588,536,117,72))
    crazy_items.append(Item("images2/newspapers.png","Newspapers",879,551,144,114))
    crazy_items.append(Item("images2/pictures.png","Picture",238,55,302,151))
    crazy_items.append(Item("images2/powder_loader.png","Black Powder Loader",978,350,72,57))
    crazy_items.append(Item("images2/ties.png","Ties",439,256,49,263))
    crazy_items.append(Item("images2/vase.png","Vase",732,399,77,147))
    crazy_items.append(Item("images2/watch.png","Pocket Watch",539,586,45,58))
    
    tavern_items = []
    tavern_items.append(Item("images/black_powder.png","Load your musket",824,505,102,57))
    tavern_items.append(Item("images/blue_flag.png","Azure Flag", 710,0,108,177))
    tavern_items.append(Item("images/camera.png","Capture the light", 2,477,108,132))
    tavern_items.append(Item("images/cat.png","Curl by the fire", 272,530,189,180))
    tavern_items.append(Item("images/citrus.png","Prevent scurvy", 978,463,115,91))
    tavern_items.append(Item("images/coin.png","Give onto Cesar", 441,140,110,103))
    tavern_items.append(Item("images/fireplace_tools.png","Poke the flames", 489,399,141,211))
    tavern_items.append(Item("images/headstone.png","Revere the dead", 382,433,127,170))
    tavern_items.append(Item("images/honey_pot.png","Taste the sweetness", 1140,412,133,147))
    tavern_items.append(Item("images/leaf.png","Fall from the tree", 1103,281,91,134))
    tavern_items.append(Item("images/necklace.png","Shine on you crazy diamond", 116,173,133,105))
    tavern_items.append(Item("images/papaya.png","Eat the tropics", 758,312,80,75))
    tavern_items.append(Item("images/pick.png","Open a letter", 306,0,63,209))
    tavern_items.append(Item("images/red_flag.png","Scare the bull", 613,0,85,142))
    tavern_items.append(Item("images/slipper.png","Go to the dance", 896,595,116,91))
    tavern_items.append(Item("images/vase.png","Arrange the flowers",  262,213,69,152))
    tavern_items.append(Item("images/watch.png","Check the time",  631,508,82,105))
    tavern_items.append(Item("images/white_flag.png","Surrender", 879,0,142,200))
    
    
# The game starts here.
label start:
    $ start = renpy.time.time()
    # this sets all the items back to not found
    $ resetItems(crazy_items)
    # which image background to use
    $ hidden_bg = "images2/background.png"
    # randomize the list and pick 9 items
    $ renpy.random.shuffle(crazy_items)
    $ hidden_items = crazy_items[:9]
    $ extra_items = crazy_items[9:]
    # set number of hints
    $ num_hints = 3
    # set number of extra clicks
    $ num_clicks = 0
    $ num_listed = 3
    
    
    scene bg tavern
    "Get ready to find the items!"
    
    $ setActive()
    $ showitems = True
    call screen hidden_object
    $ showitems = False

    scene bg tavern
    $ elapsed = round(renpy.time.time() - start)
    "Result: [_return] in [elapsed] seconds with [num_clicks] extra clicks!"
    
    
    $ start = renpy.time.time()
    # this sets all the items back to not found
    $ resetItems(tavern_items)
    # which image background to use
    $ hidden_bg = "images/ground.png"
    # randomize the list and pick 9 items
    $ renpy.random.shuffle(tavern_items)
    $ hidden_items = tavern_items[:9]
    $ extra_items = tavern_items[9:]    
    
    scene bg tavern
    "Remember that clues don't have to be straight forward..."
    
    $ setActive()
    $ showitems = True
    call screen hidden_object
    $ showitems = False
    

    scene bg tavern
    $ elapsed += round(renpy.time.time() - start)
    "Result: [_return] in total of [elapsed] seconds for both screens with [num_clicks] extra clicks!"
